/*
 *  Copyright (C) 2005 Bucote Software LLC
 *  tbradley@bucote.com
 *
 *  file: BDesktopClock.h
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software Foundation,
 *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __BUCOTE_BDESKTOPCLOCK_H__
#define __BUCOTE_BDESKTOPCLOCK_H__

#include <qwidget.h>
#include <qpoint.h>
#include <qpen.h>

class QContextMenuEvent;
class QPaintEvent;
class QTimerEvent;
class QMouseEvent;
class QPixmap;
class QLabel;

#include "BSettings.h"

class BDesktopClock : public QWidget {
	Q_OBJECT
public:
        BDesktopClock(WFlags f, BSettings); 
                
	void paintEvent (QPaintEvent * event);
	void timerEvent (QTimerEvent * event);
    
        void mousePressEvent  (QMouseEvent * event); 
        void mouseMoveEvent   (QMouseEvent * event); 
	void contextMenuEvent (QContextMenuEvent * event);

private slots:
        void showProperties ();  

private:
        QPoint last;
	QLabel * label;
	QPixmap * face, * glare;
	BSettings  _settings;
	QPen hHand, mHand, sHand;
};

#endif
